android studio 中如何强行刷新 libry 引用(针对于 SNAPSHOT)

工程中引用了公司maven的一个aar(SNAPSHOT) 这个SNAPSHOT更新了许多版本为何项目中还是引用最旧的那个版本( compile 'com.xiaoka.android.ycdd.protocol:ycdd-android-protocol:1.2.0-SNAPSHOT') 求解释..大神们

1个回答

我也遇到了你同样的问题,引用的是旧的版本。

我已经解决了,你在build.gradle文件中随便哪一行加上如下配置:
configurations.all {
resolutionStrategy.cacheChangingModulesFor 1, 'minutes'
}

具体描述请参考:Gradle User Guide第50.2.4. Use Dynamic Versions and Changing Modules章节

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐